org.apache.fop.complexscripts.util

## Class CharNormalize

- java.lang.Object
- - org.apache.fop.complexscripts.util.CharNormalize

-     public final class CharNormalize
      extends Object

  Normalization related utilities. N.B. This implementation is an experimental shortcut, the full version of which would require either using ICU4J or an extraction of its normalization function, either being a significant undertaking. At present we handle only specialized decomposition of Indic two part matras.

  This work was originally authored by Glenn Adams (gadams@apache.org).

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `decompose(int c, int[] da)`
    `static boolean` | `isDecomposable(int c)`
    `static int` | `maximumDecompositionLength()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isDecomposable

          public static boolean isDecomposable(int c)

    - #### maximumDecompositionLength

          public static int maximumDecompositionLength()

    - #### decompose

          public static int[] decompose(int c,
                                        int[] da)

Copyright © 2023 Apache Software Foundation. All rights reserved.